IconifableWindowListener

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.miscellaneous.client
Interface IconifableWindowListener

public interface IconifableWindowListener

Title: OpenSwing Framework

Description: Listener of the IconifableWindow component, used to listen several events fired by that window: - window just created but not yet showed - window created and just showed - window closed - window reduced to icon - window restored to its original dimension (from the reduce to icon dimensions)

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary
`static int` | `WINDOW_CLOSED` "window just closed" event
`static int` | `WINDOW_CREATED` "window just created but not yet showed" event
`static int` | `WINDOW_REDUCED_TO_ICON` "window just reduced to icon" event
`static int` | `WINDOW_RESTORED` "window restored to its original dimension" event
`static int` | `WINDOW_SHOWED` "window created and just showed" event

Method Summary
`void` | `windowEvent(IconifableWindow source, int event)` Event fired by the IconifableWindow

Field Detail

### WINDOW_CREATED

    public static final int WINDOW_CREATED

  "window just created but not yet showed" event

  See Also:
    Constant Field Values

### WINDOW_SHOWED

    public static final int WINDOW_SHOWED

  "window created and just showed" event

  See Also:
    Constant Field Values

### WINDOW_CLOSED

    public static final int WINDOW_CLOSED

  "window just closed" event

  See Also:
    Constant Field Values

### WINDOW_REDUCED_TO_ICON

    public static final int WINDOW_REDUCED_TO_ICON

  "window just reduced to icon" event

  See Also:
    Constant Field Values

### WINDOW_RESTORED

    public static final int WINDOW_RESTORED

  "window restored to its original dimension" event

  See Also:
    Constant Field Values

Method Detail

### windowEvent

    public void windowEvent(IconifableWindow source,
                            int event)

  Event fired by the IconifableWindow

  Parameters:
    `source` - IconifableWindow that fires the event
    `event` - event type; supported values: WINDOW_CREATED, WINDOW_SHOWED, WINDOW_CLOSED, WINDOW_REDUCED_TO_ICON, WINDOW_RESTORED

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD